using IWS5.Server.Enums;

namespace IWS5.Server.Utils.Converter;

public interface IFileConverter
{
    bool CanConvert(string sourceFileExtension, string targetFileExtension = nameof(ConvertibleFileTypes.tiff));
    Task<byte[]> ConvertAsync(byte[] inputFile);
}